# Class SellerAsTakerTrade

#### Hierarchy

- unknown
  - SellerAsTakerTrade

- Defined in src/protobuf/pb_pb.d.ts:6385
- Defined in src/protobuf/pb_pb.d.ts:6399

#####
Index

### Constructors

constructor

### Methods

clearTrade
getTrade
hasTrade
serializeBinary
setTrade
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new SellerAsTakerTrade(): SellerAsTakerTrade

- #### Returns SellerAsTakerTrade

  Inherited from jspb.Message.constructor

## Methods

### clearTrade

- clearTrade(): SellerAsTakerTrade

- #### Returns SellerAsTakerTrade

  - Defined in src/protobuf/pb_pb.d.ts:6389

### getTrade

- getTrade(): undefined | Trade

- #### Returns undefined | Trade

  - Defined in src/protobuf/pb_pb.d.ts:6386

### hasTrade

- hasTrade(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:6388

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:6391

### setTrade

- setTrade(value?: Trade): SellerAsTakerTrade

- #### Parameters

  - ##### `Optional` value: Trade

  #### Returns SellerAsTakerTrade

  - Defined in src/protobuf/pb_pb.d.ts:6387

### toObject

- toObject(includeInstance?: boolean): SellerAsTakerTrade.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns SellerAsTakerTrade.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:6392

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): SellerAsTakerTrade

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns SellerAsTakerTrade

  - Defined in src/protobuf/pb_pb.d.ts:6395

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: SellerAsTakerTrade, reader: BinaryReader): SellerAsTakerTrade

- #### Parameters

  - ##### message: SellerAsTakerTrade

  - ##### reader: BinaryReader

  #### Returns SellerAsTakerTrade

  - Defined in src/protobuf/pb_pb.d.ts:6396

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: SellerAsTakerTrade, writer: BinaryWriter): void

- #### Parameters

  - ##### message: SellerAsTakerTrade

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/pb_pb.d.ts:6394

### `Static` toObject

- toObject(includeInstance: boolean, msg: SellerAsTakerTrade): SellerAsTakerTrade.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: SellerAsTakerTrade

  #### Returns SellerAsTakerTrade.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:6393

Generated using TypeDoc